# Generated from factorio-mod-0.8.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name factorio-mod

Name: rubygem-%{gem_name}
Version: 0.8.0
Release: 1%{?dist}
Summary: Get the info of Factorio's MOD
License: MIT
URL: https://gitlab.com/71e6fd52/factorio-mod
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.0
# BuildRequires: rubygem(rspec) >= 3.9
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(bump)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov-lcov)
# BuildRequires: rubygem(solargraph)
BuildArch: noarch

%description
Get the info of Factorio's MOD.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/factorio-mod.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.8.0-1
- Initial package
